# wxContextHelp Class Reference
[Help]

`#include <wx/cshelp.h>`

Inheritance diagram for wxContextHelp:
[legend]

## Detailed Description

This class changes the cursor to a query and puts the application into a 'context-sensitive help mode'.

When the user left-clicks on a window within the specified window, a `wxEVT_HELP` event is sent to that control, and the application may respond to it by popping up some help.

For example:

        wxContextHelp contextHelp(myWindow);

There are a couple of ways to invoke this behaviour implicitly:

- Use the wxDIALOG_EX_CONTEXTHELP style for a dialog (Windows only). This will put a question mark in the titlebar, and Windows will put the application into context-sensitive help mode automatically, with further programming.

- Create a wxContextHelpButton, whose predefined behaviour is to create a context help object. Normally you will write your application so that this button is only added to a dialog for non-Windows platforms (use wxDIALOG_EX_CONTEXTHELP on Windows).

Note that on Mac OS X, the cursor does not change when in context-sensitive help mode.

##

Library: wxCore

Category: Help

See also:
  wxHelpEvent, wxHelpController, wxContextHelpButton

## Public Member Functions
| wxContextHelp (wxWindow *window=NULL, bool doNow=true)
| Constructs a context help object, calling BeginContextHelp() if doNow is true (the default).
virtual | ~wxContextHelp ()
| Destroys the context help object.
bool | BeginContextHelp (wxWindow *window)
| Puts the application into context-sensitive help mode.
bool | EndContextHelp ()
| Ends context-sensitive help mode.

List of all members.

## Constructor & Destructor Documentation

wxContextHelp::wxContextHelp | ( | wxWindow * | window = `NULL`,
|  | bool | doNow = `true` |
| ) |  |  |

Constructs a context help object, calling BeginContextHelp() if doNow is true (the default).

If window is NULL, the top window is used.

virtual wxContextHelp::~wxContextHelp | ( |  | ) | `[virtual]`

Destroys the context help object.

## Member Function Documentation

bool wxContextHelp::BeginContextHelp | ( | wxWindow * | window | ) |

Puts the application into context-sensitive help mode.

window is the window which will be used to catch events; if NULL, the top window will be used.

Returns true if the application was successfully put into context-sensitive help mode. This function only returns when the event loop has finished.

bool wxContextHelp::EndContextHelp | ( |  | ) |

Ends context-sensitive help mode.

Not normally called by the application.

|  | [ top ]